comedi_mark_buffer_written
Prev | 5.4.2. Asynchronous commands | Next

## Name

comedi_mark_buffer_written — streaming buffer control

## Synopsis

    #include <comedilib.h>

`int comedi_mark_buffer_written(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int num_bytes`)`;

## Description

The function `comedi_mark_buffer_written` is used on a subdevice that has a Comedi output command in progress. It should only be used if you are using a `mmap` mapping to write data to Comedi's buffer (as opposed to calling `write` on the device file descriptor), since Comedi will automatically keep track of how many bytes have been transferred via `write` calls. This function is used to indicate that the next `num_bytes` bytes in the buffer are valid and may be sent to the device.

## Return value

On success, `comedi_mark_buffer_written` returns the number of bytes successfully marked as written. The return value may be less than the `num_bytes`. On failure, `-1` is returned.

Prev | Up | Next
comedi_mark_buffer_read | Home | comedi_poll